import { MenuItem } from 'primeng/api';
import { SmzCardActions } from '../../modules/smz-cards/models/smz-cards-state';
import { SmzMenuItem } from '../../modules/smz-menu/models/smz-menu-item';
import { SmzCardsBuilder } from './state-builder';
export declare class SmzCardsMenuBuilder {
    private _cardsBuilder;
    protected _action: SmzCardActions<any>;
    items: SmzMenuItem[];
    constructor(_cardsBuilder: SmzCardsBuilder<any>, _action: SmzCardActions<any>, items?: SmzMenuItem[]);
    useDynamic(callback: (row: any) => SmzMenuItem[]): SmzCardsMenuBuilder;
    item(label: string, icon?: string, tooltip?: string): SmzMenuItemCardsBuilder;
    separator(): SmzCardsMenuBuilder;
    get cards(): SmzCardsBuilder<any>;
    setButtonClass(style: string): SmzCardsMenuBuilder;
    setIcon(style: string): SmzCardsMenuBuilder;
    setStyleClass(style: string): SmzCardsMenuBuilder;
}
export declare class SmzMenuItemCardsBuilder {
    private _menuBuilder;
    private _parent;
    private _item;
    constructor(_menuBuilder: SmzCardsMenuBuilder, _parent: SmzMenuItemCardsBuilder, _item: SmzMenuItem);
    addChild(label: string, icon?: string): SmzMenuItemCardsBuilder;
    setCallback<T>(callback: (item: T) => void): SmzMenuItemCardsBuilder;
    setRedirect(paths: string[]): SmzMenuItemCardsBuilder;
    setVisibilityRule<T>(callback: (item: T) => boolean): SmzMenuItemCardsBuilder;
    setActivationRule<T>(callback: (item: T) => boolean): SmzMenuItemCardsBuilder;
    hide(): SmzMenuItemCardsBuilder;
    disable(): SmzMenuItemCardsBuilder;
    addTransformRule<T>(callback: (item: T) => Partial<MenuItem>): SmzMenuItemCardsBuilder;
    askForConfirmation(title: string, message: string): SmzMenuItemCardsBuilder;
    askForCriticalConfirmation(title: string, message: string): SmzMenuItemCardsBuilder;
    get menu(): SmzCardsMenuBuilder;
    applyChild(): SmzMenuItemCardsBuilder;
}
